Talent Network
A candidate's recruiter-entered work preferences
Use for one candidate’s recruiter-entered preferences; these win for ParaAI matching. candidateUserId from list, lookup or batch items. Another agency’s id: 404.
Required scopes: talent_network:read.
GET
/
talent-network
/
candidates
/
{candidateUserId}
/
preferences
A candidate's recruiter-entered work preferences
curl --request GET \
--url https://external-api.paraform.com/api/external/v1/talent-network/candidates/{candidateUserId}/preferences \
--header 'Authorization: Bearer <token>'import requests
url = "https://external-api.paraform.com/api/external/v1/talent-network/candidates/{candidateUserId}/preferences"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://external-api.paraform.com/api/external/v1/talent-network/candidates/{candidateUserId}/preferences', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://external-api.paraform.com/api/external/v1/talent-network/candidates/{candidateUserId}/preferences",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://external-api.paraform.com/api/external/v1/talent-network/candidates/{candidateUserId}/preferences"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://external-api.paraform.com/api/external/v1/talent-network/candidates/{candidateUserId}/preferences")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://external-api.paraform.com/api/external/v1/talent-network/candidates/{candidateUserId}/preferences")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"candidateUserId": "<string>",
"preferences": {
"locations": [
"new_york"
],
"workplaceTypes": [
"REMOTE"
],
"salaryMin": 123,
"salaryMax": 123,
"ote": 123,
"idealFundingRounds": [
"PRE_SEED"
],
"visaAuthorization": "NO_VISA_AUTHORIZATION_NEEDED",
"roleType": [
"backend_engineer"
],
"excludedIndustries": [
"venture_capital"
],
"companySizePreferences": [
"< 10 employees"
]
}
}Authorizations
Path Parameters
⌘I
A candidate's recruiter-entered work preferences
curl --request GET \
--url https://external-api.paraform.com/api/external/v1/talent-network/candidates/{candidateUserId}/preferences \
--header 'Authorization: Bearer <token>'import requests
url = "https://external-api.paraform.com/api/external/v1/talent-network/candidates/{candidateUserId}/preferences"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://external-api.paraform.com/api/external/v1/talent-network/candidates/{candidateUserId}/preferences', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://external-api.paraform.com/api/external/v1/talent-network/candidates/{candidateUserId}/preferences",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://external-api.paraform.com/api/external/v1/talent-network/candidates/{candidateUserId}/preferences"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://external-api.paraform.com/api/external/v1/talent-network/candidates/{candidateUserId}/preferences")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://external-api.paraform.com/api/external/v1/talent-network/candidates/{candidateUserId}/preferences")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"candidateUserId": "<string>",
"preferences": {
"locations": [
"new_york"
],
"workplaceTypes": [
"REMOTE"
],
"salaryMin": 123,
"salaryMax": 123,
"ote": 123,
"idealFundingRounds": [
"PRE_SEED"
],
"visaAuthorization": "NO_VISA_AUTHORIZATION_NEEDED",
"roleType": [
"backend_engineer"
],
"excludedIndustries": [
"venture_capital"
],
"companySizePreferences": [
"< 10 employees"
]
}
}